Skip to main content
`Ctrl`+`K`

# PetscFERefine

Create a “refined” `PetscFE` object that refines the reference cell into smaller copies.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFERefine(PetscFE fe, PetscFE *feRef)

Collective

## Input Parameter

- fe - The initial `PetscFE`

## Output Parameter

- feRef - The refined `PetscFE`

## Notes

This is typically used to generate a preconditioner for a higher order method from a lower order method on a refined mesh having the same number of dofs (but more sparsity). It is also used to create an interpolation between regularly refined meshes.

## See Also

`PetscFEType`, `PetscFECreate()`, `PetscFESetType()`

## Level

advanced

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages